Skip to main content
POST
/
v1
/
video
/
hls
{
  "input": "https://example.com/video.mp4",
  "segment_time": 6
}
curl -X POST https://api.ringbee.dev/v1/video/hls \
  -H "X-API-Key: YOUR_API_KEY" \
  -F "file=@video.mp4" \
  -F "segment_time=6"
{
  "id": "job_abc123",
  "status": "pending"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
  "input": "https://example.com/video.mp4",
  "segment_time": 6
}
curl -X POST https://api.ringbee.dev/v1/video/hls \
  -H "X-API-Key: YOUR_API_KEY" \
  -F "file=@video.mp4" \
  -F "segment_time=6"
ParamTypeDescription
segment_timeintegerDuration of each HLS segment in seconds

Authorizations

X-API-Key
string
header
required

Body

input
string
required

Input file URL

segment_time
integer

Duration of each HLS segment in seconds

webhook_url
string

URL to receive job completion notification

Response

Job accepted

id
string
Example:

"job_abc123"

status
enum<string>
Available options:
pending,
processing,
completed,
failed,
cancelled
Example:

"pending"